UEDIT - Text Editor Utility

#### Search Results

Search

# UEDIT - Text Editor Utility

This section describes Com-plete's text editor utility, UEDIT.

- The first section briefly describes how to use UEDIT. After reading this section, you will have a basic understanding of editing with UEDIT;

- The second and third parts of the section describe in much greater detail how to use the editor;

- The fourth section contains detailed explanations of UEDIT commands;

- The final part of the section describes UEDIT upload and download functions to the personal computer.

This document covers the following topics:

- Getting Started

- Starting an Edit Session

- Full Screen Editing

- Processing Priorities

- Prefix Commands

- A/B Positioning Commands

- Scrolling Commands

- User Profiles

- PF Key Usage

- Edit Session Suspend Levels

- CommandFormat

- Command Overview

- Command Description

- Moving PDS Members to and from a Personal Computer (PC)

## Getting Started

This section explains how to start a UEDIT session in a very short time. For more details of the UEDIT functions, see the subsequent parts in this section.

Remember that the explanations in this section are designed to only get you started. Please read this entire section for a complete understanding of UEDIT.

### Opening a Member for Editing

To edit a member that already exists, enter the following command:

    *UEDIT dsn(membername

where:

dsn | Specifies the name of the data set where the member is located.
membername | Specifies the name assigned to the member when it was saved earlier.

If you are creating a member, then enter:

    *UEDIT dsn(membername CR

Note
Whether you are editing an existing member or creating a member, the member name does not have to be followed by a right parenthesis.

Upon entering the editor, you will see a screen that contains a rule line. If you are editing an existing member, the first 23 lines of text will be displayed beneath the rule line.

### Entering Commands on the Command Line

The command line is actually part of the rule line. When you type in commands, that part of the rule line till be overtyped. Commands entered on the command line allow you to page forward and backward through the text and perform functions on the member as a whole. Following are the descriptions for some of these commands.

#### Paging Commands

The following commands allow you to page forward and backward within a text member.

-- | Two hyphens entered on the command line move you to the top of the member.
++ | Two plus signs entered on the command line move you to the bottom of the member. This is a quick way to reach the end of the member if you want to add additional text there.
+n | A plus sign followed by a number entered on the command line will move you forward in the text n lines. A plus sign entered alone moves you forward in the text one line.
-n | A minus sign followed by a number entered on the command line moves you backward in the text n lines. A minus sign entered alone moves you backward in the text one line.

#### Functional Commands

The following commands allow you to perform functions on the entire member.

SAVE | The SAVE command stores the member including all the changes you made during a session. You are returned to the Full Screen Editor menu. To exit the UEDIT utility from there, press CLEAR.
END | The END command also takes you out of the member to the Full Screen Editor menu, but any changes you made to the member during the current session are not stored. Pressing the CLEAR-key also takes you out of a member without saving any changes.
SCAN | The SCAN command allows you to search the member for a specific string of characters.
For example, to scan for the word "UEDIT", enter the SCAN command with its operand on the command line as shown in the following figure.
    Scan UEDIT....+....2....+....3....+....4....+....5....+....6....+....7..
    This section will enable you to start using the editor in a very short time. For
    greater detail and explanation of the functions for using the UEDIT text editor,
    refer to the sections that follow in this chapter.

    Remember that the explanations contained in this section are designed to only
    get you started. Please read this entire chapter for a complete understanding of
    the text editor.

    Opening a Member for Editing
| The SCAN function will search the text (beginning at the top line currently displayed) for the string UEDIT and then redisplay the text with the line that contains the string at the top of the screen. In the preceding example, the string searched for occurs in the third line of the screen where the command was entered. After you press ENTER, the screen will appear as shown in the following figure.
    ....+....1....+....2....+....3....+....4....+....5....+....6....+....7..
    using the UEDIT text editor, refer to the sections that follow in this chapter.

    Remember that the explanations contained in this section are designed to only
    get you started. Please read this entire chapter for a complete understanding of
    the text editor.

    Opening a Member for Editing

    To edit a member that already exists, enter this command.
| You can use the SCAN command to scan forward, scan backward, or return the number of occurrences of a string. To familiarize yourself with all the options available, read the description of the SCAN command later in this section.
| To find out how you can change a character string for an entire member, refer to the CCHANGE command section later in this section.

### Entering Prefix Commands

Prefix commands are entered on the screen on any line below the command line. There are two types of prefix commands. Immediate prefix commands are used to affect single lines of text. Block prefix commands are used to affect multiple lines of text.

Prefix commands are preceded by an escape character (the default is "#"). Note that in this chapter, "#" is used as the escape character unless otherwise noted. For information on how to change the escape character, see the section User Profiles and the description of the SET command later in this chapter.

Enter prefix commands on the editor screen, beginning with the "#", in the first column of the text line you wish to affect. Space once after typing in the last character of the command to ensure that none of the text in the existing line is interpreted by UEDIT to be part of the command.

Note that entering a prefix command (with the correct escape character in the first column) "on top of" the first characters of a text line will not alter those characters. When you press ENTER, the command is executed, and the characters at the beginning of the text line are returned to their original state.

#### A/B Positioning Commands

Some prefix commands are used in conjunction with the "A" and "B" positioning commands. For example, with the COPY command, you would key in a "#A" or "#B" on the particular line that you want the marked text to be copied after or before, respectively.

#### Immediate Prefix Commands

Immediate prefix commands are single commands that apply only to single lines of text. Following are the descriptions of three immediate prefix commands that you will probably use often.

C | Enter a "#C" on the beginning of the line to mark the line for the COPY function. Identify where you want the line to be copied by entering a "#A" or "#B" positioning command on the line that you want the copied line to appear after or before, respectively.
For example, let's say you were entering the text at the beginning of this chapter. To save keystrokes, you decided to copy a line instead of keying in practically the same information twice.
The following figure illustrates how you would mark the line for the COPY function and how you would mark the position of the line to be copied.
    ....+....1....+....2....+....3....+....4....+....5....+....6....+....7..
    To edit a member that already exists, enter this command.

    #C         *UEDIT dsn(membername

    where:

         DSN is the name of the data set where the member is located.

         Membername is the name assigned to the member when it was saved previously.

    If you are creating a member, then enter
    #A
| On the preceding screen, the line "*UEDIT DSN(membername" has been marked to be copied on the line below the line marked with a "#A". When you press ENTER, the screen will appear as shown below.
    ....+....1....+....2....+....3....+....4....+....5....+....6....+....7..
    To edit a member that already exists, enter this command.

              *UEDIT dsn(membername

    where:

         DSN is the name of the data set where the member is located.

         Membername is the name assigned to the member when it was saved previously.

    If you are creating a member, then enter

           *UEDIT dsn(membername
D | Enter a "#D" at the beginning of a line and press ENTER to delete the line.
I | Enter a "#I" at the beginning of a line and press ENTER to insert a blank line immediately below that line. You can also specify the number of lines to insert by placing the number after the command as follows: "#In".

#### Block Prefix Commands

Block prefix commands consist of a series of commands that apply to several lines (a block) of text. Mark the block of data that you wish to perform a function on by keying the block prefix commands in the first character positions of the beginning and ending lines of the block.

Following are the descriptions of three block prefix commands that you may use often.

CC | Enter a "#CC" in the first and last line of the block to mark it for the COPY function. Identify where you want the block copied by entering a "#A" or "#B" positioning command on the line where you want the block to appear after or before, respectively.
The following figure illustrates how you would mark a block of text to be copied and how you could mark the position of where you want the block to appear after or before.
    ....+....1....+....2....+....3....+....4....+....5....+....6....+....7
    ..      *UEDIT DSN(membername

    #CC e:
         DSN is the name of the data set where the member is located.
         Membername is the name assigned to the member when it was saved previously.
    #CC
    If you are creating a member, then enter
              *UEDIT DSN(membername
    #A
| The following figure shows the result of the block prefix commands entered on the previous screen.
    ....+....1....+....2....+....3....+....4....+....5....+....6....+....7..

             *UEDIT DSN(membername

    where:

         DSN is the name of the data set where the member is located.

         Membername is the name assigned to the member when it was saved previously.

    If you are creating a member, then enter

           *UEDIT DSN(membername

    where:

         DSN is the name of the data set where the member is located.

         Membername is the name assigned to the member when it was saved previously.
DD | Enter a "#DD" on the first and last line of the block to mark it for the DELETE function. Once you've marked the block, press ENTER to delete it.
| The following figure illustrates how you would mark a block of text for deletion.
    ....+....1....+....2....+....3....+....4....+....5....+....6....+....7..
             *UEDIT DSN(membername

    where:

         DSN is the name of the data set where the member is located.

         Membername is the name assigned to the member when it was saved previously.

    If you are creating a member, then enter

              *UEDIT DSN(membername

    #DD e:

         DSN is the name of the data set where the member is located.

         Membername is the name assigned to the member when it was saved
    #DD  previously
MM | Enter a "#MM" on the first and last line of the block to mark it for the MOVE function. Identify where you want the block moved by entering a "#A" or "#B" positioning command on the line where you want the block to appear after or before, respectively.
| The following figure illustrates how you would mark a block to be moved and how you would mark where you would like the block moved.
    ....+....1....+....2....+....3....+....4....+....5....+....6....+....7.
    This section will enable you to start using the editor in a very short time. For
    greater detail and explanation of the functions for using the UEDIT text editor,
    refer to the sections that follow in this chapter.

    #MM mber that the explanations contained in this section are designed to only
    get you started. Please read this entire chapter for a complete understanding of
    the text editor.
    #MM
    Opening a Member for Editing

    To edit a member that already exists, enter this command.

              *UEDIT DSN(membername

    where:

         DSN is the name of the data set where the member is located.

         Membername is the name assigned to the member when it was saved previously.

    #A
| The following figure shows the result of the block prefix commands entered on the previous screen.
    ....+....1....+....2....+....3....+....4....+....5....+....6....+....7..
    This section will enable you to start using the editor in a very short time. For
    greater detail and explanation of the functions for using the UEDIT text editor,
    refer to the sections that follow in this chapter.

    Opening a Member for Editing

    To edit a member that already exists, enter this command.

              *UEDIT DSN(membername

    where:

         DSN is the name of the data set where the member is located.

         Membername is the name assigned to the member when it was saved
       previously.

    Remember that the explanations contained in this section are designed to only
    get you started. Please read this entire chapter for a complete understanding of
    the text editor.
RR | Enter a "#RR" on the first and last line of the block to mark it for the REPEAT function. Identify where you want the block repeated by entering a "#A" or "#B" positioning command on the line where you want the block to appear after or before, respectively.

## Starting an Edit Session

You can begin a UEDIT session by either issuing a direct call or invoking the Full Screen Editor menu. Once you are familiar with the UEDIT parameters, you can find it easier to start a session by issuing a direct call. Until then, you may use the Full Screen Editor menu to enter the necessary information. The Full Screen Editor menu also allows you to specify sequence numbers and the PANVALET/ LIBRARIAN options to be used. Each of these start up methods is described below.

### Full Screen Editor Menu

To invoke the Full Screen Editor menu, issue the following command:

    *UEDIT

> z/OS UEDIT screen:

>       17:12:01     TID    12           COM-4.6.          User ID ADMIN      08/31/94
>                               -- FULL SCREEN EDITOR --                          UEDT
>       Edit Object
>        Library:        Member:            Newname:            Profile: ADMIN
>            DSN:                                                Volume:

>       Function        PFK or Mark                 Edit Option Settings
>        Edit             1  =>                      Work File Size:  1500
>        Create           2  =>                       Record Length:  80
>        Recover          3  =>
>        File Maintenance 4  =>                            ASM Tabs:
>        Delete           -  =>                           PL/I Tabs:
>        Rename           5  =>                          Cobol Tabs:
>        Submit           6  =>                        Fortran Tabs:
>        SD-File Summary  7  =>                        Special Tabs:
>        Help            10  =>                             Setting:  0  00  0  0  0
>        Edit Profile    11  =>
>        Create Profile  12  =>                    Sequence Numbers:
>                                                       Start Value:   100
>       Panvalet/Librarian                                Increment:   100
>        Includes expanded:                              In Columns: 73 -80
>                    Level: 000000
>            Date and Time: 999999 000000           Blank Col 73-80:

> z/VSE UEDIT screen:

>       13:53:38     TID     7          COM46-F2          User ID ADMIN46      09/09/94
>                                -- FULL SCREEN EDITOR --                           UEDD
>        Edit Object
>          ULIBID:       Member:               Type:              VOLUME:
>         LIB/DSN:                                                Sublib:
>                        Newname:              Newtyp:                Profile:  ADMIN46
>        Function        PFK or Mark                 Edit Option Settings
>         Edit             1  =>                      Work File Size:  1200
>         Create           2  =>                       Record Length:   0
>         Recover          3  =>
>         File Maintenance 4  =>                            ASM Tabs:
>         Delete           -  =>                           PL/I Tabs:
>         Rename           5  =>                          Cobol Tabs:
>         Submit           6  =>                        Fortran Tabs:
>         SD-File Summary  7  =>                        Special Tabs:
>         Help            10  =>                             Setting:  0  0  0  0  0  0
>         Edit Profile    11  =>
>         Create Profile  12  =>                    Sequence Numbers:
>                                                        Start Value:   100
>        Panvalet/Librarian                                Increment:   100
>         Includes expanded:                              In Columns: 73 - 80
>                     Level:      0
>             Date and Time: 999999      0           Blank Col 73-80:

>   The Full Screen Editor menu is divided into four areas:

>   - An Edit Object section;

>   - A Function/PFK or Mark section;

>   - An Edit Option Settings section;

>   - A Panvalet/Librarian section.

>   The following text describes each of these sections.

>   Note
>   The fields contained on the Full Screen Editor menu may vary from one environment to another. For example, some z/VSE environments have more identification fields in the Edit Option section. All of the fields that you may see, depending on the environment, are described here in their appropriate sections. Fields that are unique to certain environments are noted.

#### Edit Object

Use the fields listed under the heading "Edit Object" on the Full Screen Editor menu to define what you wish to edit.

The various items listed are described in the following table.

Field | Description
--- | ---
LIBRARY=id | Optional, unless DSN is not specified.
Default: The data set specified for DSN (see below).
Specifies the library in which the member to be edited is located, or, if a new member is being created, the library into which the new member is to be placed.
Note that id is identified by a two-character code which must be currently defined in either the user's UL table or the Com-plete User File Table (UEDTB1).
MEMBER=name | Required.
Default: None
Specifies the name of the member to be edited or created.
Note that name can be from one to eight characters, and must comply with the rules for member name construction as required by the operating system in use.
NEWNAME=newname | Optional, except when used with the RENAME function. (See the following section.)
Default: None
Specifies the new name to be assigned to the member. Notes: NEWNAME is used only in conjunction with the RENAME function. Under z/VSE, both NEWNAME and NEWTYP must be given for the RENAME function.
DSN=dsn | Optional, unless LIBRARY is not specified.
Default: The library specified for LIBRARY (see above).
When used in conjunction with the EDIT function, specifies the name of the file in which the member to be edited is located.
When used in conjunction with the CREATE function, specifies the name of the data set into which the newly created member is to be placed.
VOLUME=volser | Optional, except required when the file name is not cataloged.
Default: Specifies the volume serial number of the volume on which the file name to be used is contained.
PROFILE=profile | Optional.
Default: The Com-plete LOGON user ID of the user is used as the Profile identifier.
Specifies the User Profile to be used (executed) before the edit session is started.
Note that setting this field to blanks causes the Profile feature to be deactivated for the session.
TYPE=member-type | Required (z/VSE only).
Default: None
Specifies the type of the member to be edited.
NEWTYP=member-type Optional (z/VSE only).
Specifies the new type of the member to be renamed.
SUBLIB=sublibrary | Sublibrary name, up to eight characters long (z/VSE only).
In z/VSE, this field can be up to eight characters long.
NEWTYP= | Optional, except when used with the RENAME function (z/VSE only). new-member-type
Default: None
Default: Specifies the new type to be to be assigned to the member.

#### Function/PFK or Mark

The items listed under the heading "Function PFK or Mark" on the Full Screen Editor menu are for specifying the function you wish to perform.

You can select the function you want by either pressing the appropriate PF Key (see the section PF Key Usage later in this chapter) or entering any character in the input field to the right of the function on the screen and then pressing ENTER.

Note that you may only select one function at a time.

The functions available are described in the following table.

Function | Description
--- | ---
Edit (PF1) | Begins an edit session in which an existing member is to be edited.
Create (PF2) | Begins an edit session in which a new member is to be created.
Recover (PF3) | Recovers a member that was being edited when a system failure occurred.
File Maintenance (PF4) | Enters the file maintenance utility (UPDS in z/OS; USERV in z/VSE).
Delete (no PF Key assigned) | Deletes a member from a library.
Rename (PF5) | Renames an existing member.
Submit (PF6) | Submits a member for the purpose of executing a job in batch mode.
SD-File Summary (PF7) | Displays a summary of current edit work files for this user.
Help (PF10) | Invokes the UEDIT HELP function, which provides online documentation assistance.
Edit Profile (PF11) | Edits an existing User Profile.
Create Profile (PF12) | Creates a new User Profile.

Note
Pressing ENTER with the Full Screen Editor menu displayed is interpreted as the EDIT (PF1) function.

#### Edit Option Settings

The fields under the heading "Edit Option Settings" on the Full Screen Editor menu are for specifying the edit settings that are to be used.

This section of the Full Screen Editor menu is further divided into four sections. These sections allow you to:

- Specify edit file sizes.

- Select screen tab settings.

- Specify starting sequence numbers and their increments.

- Specify whether or not columns 73 through 80 will contain blanks.

To change the Work File Size and the Edit Record Length to be used during the current session, overwrite the defaults specified and press ENTER.

Note
The "Library", "Member", and "DSN" fields must be blank while you overwrite the "Work File Size" and/or "Record Length" fields.

To select one of the listed screen tab settings to be used during the current session, enter any character in the input field next to the desired tab setting.

To specify whether or not you want sequence numbers, enter any character in the input field next to "Sequence Numbers". In the remaining three fields, you can also specify the starting point and the increment of the sequence numbers, and in what columns you want the sequence numbers to appear.

You can specify that you want blanks to appear in columns 73 through 80 by entering any character in the input field next to "Blank Col 73-80".

Each of the Edit Option Settings fields is summarized in the following table.

Field | Description
--- | ---
Work File Size | Specifies the maximum number of text lines to be permitted during the edit session.
Default: The existing member size if known; otherwise, the default work file size defined within Com-plete. The maximum size of a member to be edited is limited by the size of the SDfile used by UEDIT (NUMREC=32760). When a member is edited we reserve SDSIZE/4 records (see Com-plete sysparms) for adding lines. So while you may save a member, you might not be able to edit it any longer with UEDIT.
Edit Record Length | Specifies the record length of the edit work file to be used. Note If the length specified is not equal to that of the file to be edited, the editor will truncate or pad the records on the right with blanks, as appropriate.
ASM Tabs | Indicates that tab settings that correspond to Assembler language coding requirements are to be used.
PL/I Tabs | Indicates that tab settings that correspond to the PL/I language coding requirements are to be used.
Cobol Tabs | Indicates that tab settings that correspond to the COBOL language coding requirements are to be used.
Fortran Tabs | Indicates that tab settings that correspond to the FORTRAN language coding requirements are to be used.
Special Tabs | Indicates that user-specified tab settings are to be used.
Setting | Displays the column numbers of the current tab settings.
Sequence Numbers | Indicates that the editor is to provide sequence numbers for each line.
Start Value | Specifies the starting sequence number.
Increment | Specifies the increment in the sequence numbers.
In Columns | Specifies the columns in which the sequence numbers are to be placed.
Blank CC 73-80 | Indicates that columns 73 through 80 of each statement line are to be set to blanks immediately before the member is saved.

#### PANVALET/LIBRARIAN Options

Fields under the heading "Panvalet/Librarian" on the Full Screen Editor menu are for specifying the PANVALET/LIBRARIAN options to be used.

Note
These options are valid only if the PANVALET or LIBRARIAN system is being used.

The items listed are described in the following table.

Field | Description
--- | ---
Expanded Includes | Indicates that all LIBRARIAN "-INC" or PANAVELET "++INCLUDE" statements encountered as part of the file being edited will appear in the work file.
Level | Defines the relative update level to be used.
Note that the value specified for level can be a positive or negative integer. A positive value refers to a specific version. A negative value refers to a relative level, where "-1" refers to the current modification level, "-2" refers to the previous modification level, etc.
Date | Specifies the date of the update.
Note that date must be specified in the format YYMMDD.
Time | Specifies the time of the update.
Note that time must be specified in the form HHMMSS.

### Edit Direct Call

To begin an edit session, issue a direct call using the following syntax:

    *UEDIT object function keyword=value keyword=value ...

The parameters are:

> object

>   Required.

>   #### Default

>   If library, file name, or volume is not specified, UEDIT will use the values currently defined in the User Profile or the system catalog (for volume only). See the section User Profiles later in this chapter for additional information.

>   If the object to be processed is still not completely identified, UEDIT will display the Full Screen Editor menu and issue a message requesting the necessary information.

>   Identifies the member to be processed.

>   Any one of the following formats can be used for object:

>   member | Specifies the name of the member to be processed. Note that member can be from one to eight characters long and must comply with the rules for member name construction as defined for the operating system in use. Note that member can be from one to eight characters long and must comply with the rules for member name construction as defined for the operating system in use. In z/VSE, the member specification has been extended to contain an eight-character sublibrary and an eight-character member-type. The format is:
>       SUBLIB.MEMBER,TYPE
>   Note that if a LIB-ID is used that contains a default sublibrary, the SUBLIB parameter can be omitted.
>   lib(member) | Specifies the library in which the member is contained followed by the name of the member to be processed. Note that lib is identified by a two-character code which must be currently defined in either the user's UL table or in the Com-plete User File Table (UEDTB1).
>   dsn(member) | Specifies the file name in which the member is contained followed by the name of the member to be processed.
>   dsn(member)/volume | Specifies the file name in which the member is contained followed by the name of the member to be processed followed by the volume serial number of the volume on which the data set is located.

> function

>   Optional.

>   #### Default

>   EDIT is assumed if the object is completely identified; otherwise, MENU is assumed.

>   Specifies the UEDIT function to be performed.

>   Any one of the following functions can be specified:

>   EDIT | Specifies that an existing member is to be edited.
>   CREATE | Specifies that a new member is to be created.
>   RECOVER | Specifies that a member in the process of being edited when a system failure occurred is to be recovered.
>   SUBMIT | Specifies that a member is to be submitted to the operating system internal reader for the purpose of executing a job in batch mode.
>   MENU | Specifies that the Full Screen Editor menu is to be displayed. Note that a function can be specified by using the function name in its entirety or by using the first character(s) of the function name. For example, E, ED, EDI, and EDIT are all valid specifications of the EDIT function. The minimum number of letters required to specify each command is underlined above.

> keyword=value

>   Optional.

>   Specifies additional information pertaining to the edit session.

>   Note that one or more keywords can be specified. Permissible keywords and their default values are:

>   PROFILE=profile-ID | Default: The Profile ID equal to the user's Com-plete LOGON user ID. Specifies the User Profile to be used during the edit session. Note that if no Profile is to be used, "PROFILE=" (with no operand) should be specified.
>   SDSIZE=nnnn | Default: The current size of the member if known; otherwise, the default SDSIZE defined within Com-plete. Defines the maximum number of text lines permitted for the edit session. The maximum size of a member to be edited is limited by the size of the SDfile used by UEDIT (NUMREC=32760). When a member is edited we reserve SDSIZE/4 records (see Com-plete sysparms) for adding lines. So while you may save a member, you might not be able to edit it any longer with UEDIT.
>   MODE=mode | Default: MODE=UPPER Defines the character transaction mode that is to be in effect for the session. Options available for mode are LOWER and UPPER. MODE=LOWER indicates that both lower and upper-case characters can be input during the session. Note that use of LOWER requires an input terminal that supports both lower- and upper-case characters. MODE=UPPER indicates that all lower-case input is to be translated to upper-case. Note The setting for MODE must be consistent with that which is in effect for Com-plete.
>   LEVEL=level | Default: (Applicable only if the PANVALET or LIBRARIAN system is to be used.) Defines the relative update level to be used. The value specified for LEVEL can be a positive or negative integer. A positive value refers to a specific version. A negative value refers to a relative level, where -1 refers to the current modification level, -2 refers to the previous modification level, etc.
>   DATE=date | (Applicable only if the PANVALET or LIBRARIAN system is to be used.) Defines the date of the update. Note that date must be specified in the format YYMMDD.
>   TIME=time | (Applicable only if the PANVALET or LIBRARIAN system is to be used.) Defines the time of the update. Note that time must be specified in the format HHMMSS.

Note that a keyword can be specified by using the keyword name in its entirety or by using the first character(s) of the keyword name. For example P, PR, PRO, PROF, PROFI, and PROFILE are valid specifications of the PROFILE keyword. The minimum number of letters required to specify each keyword is underlined above.

#### Examples

Following are examples of UEDIT direct calls and their descriptions.

    *UEDIT ASMLKD E

Edit the member ASMLKD using the User Profile equal to the user ID. The User Profile will be used to obtain library, file name, and volume information.

    *UEDIT ASMLKD P=ASM

Edit the member ASMLKD, using the User Profile ASM. The User Profile will be used to obtain library, file name, and volume information.

    *UEDIT UA(ASMLKD) R P=,S=600

Recover the member ASMLKD in library UA, using no User Profile, restricting the maximum number of text lines used for the session to 600.

    *UEDIT ASMLKD SUB P=JCL

Submit the member ASMLKD for execution as a job in batch mode. Use the User Profile JCL to obtain library, data set, and volume information.

    *UEDIT JL(ASMLKD) C P=JCL

Create the member ASMLKD in the library JL, using the User Profile JCL.

    *UEDIT DD(DOCUMENT) EDIT,P=TEXT,M=LOWER

Edit the member DOCUMENT contained in library DD, using the User Profile TEXT, with lower-case mode in effect.

    *UEDIT UA(COBOLPGM) P=COBOL

Edit the member COBOLPGM contained in library UA, using the User Profile COBOL.

    *UEDIT PL(PL1PGM) CREATE,P=PL1,M=UPPER,S=5000

Create the member PL1PGM in library PL using the User Profile PL1, with upper-case character mode input in effect, restricting the maximum number of text lines used for the edit session to 5000.

    *UEDIT PROG1

Edit the member PROG1 using the User Profile to obtain library, data set, and volume information.

    *UEDIT SYS1.PARMLIB(IEARSV00)

Edit the member IEARSV00 in data set SYS1.PARMLIB, taking the volume serial number from the User Profile, or, if not contained there, from the system catalog in z/OS. Use the User Profile equal to the user's Com-plete user ID.

    *UEDIT VSE.SP2.LIB(CP440.ULGEX1,A)/SP2001

Under z/VSE, edit the (type A) member ULGEX1 contained in sublibrary CP440 of library VSE.SP2.LIB, which resides on volume SP2001.

## Full Screen Editing

You can use UEDIT for data editing in full screen format as described below.

### Screen Areas

> Command/Message Line

>   The command/message line serves two purposes:

>   - You can use it to issue UEDIT commands;

>   - UEDIT uses it to return status messages and information to you.

> Current Line

>   The first line after the command line (that is, the first data line on the screen) is called the "current line".

> Prefix Area

>   The first fields of each data line make up the "prefix area"; use it to enter EDIT prefix commands. A prefix command begins in column 1 with the Escape character (the default is #) and is normally terminated with a blank. The prefix commands are discussed in detail later in this section.

> PF Keys

>   Program Function keys (PF Keys) are used to eliminate repetitive typing of often-used commands. You can set each key to invoke a specific UEDIT command. In addition, you can modify PF Keys dynamically during an edit session by using the SET command. The PF Keys are discussed in detail later in this section.

> Vertical Scrolling

>   UEDIT also has a vertical scrolling feature. If you issue the command STAY OFF, the editor scrolls to the line where the cursor is located when you press ENTER. For additional information, see the SET command in the section UEDIT Commands later in this chapter.

>   Note that the editor is capable of editing records with a record length greater than 80 bytes (line width > 80). The commands SET LISTCOL, LEFT, and RIGHT enable you to display and edit "windows" of the record on the screen (see the SET, LEFT, and RIGHT commands in the section UEDIT Commands). The maximum record length for files to be edited is 255.

### Tags

A tag is a string of characters that is used to locate and position to a specific line. The tag must begin in the column defined as column one by the ZONE parameter of the SET command.

Tags are used in conjunction with the COPY, DELETE, and FIND commands. For example, when you want to copy a block of text, you would use tags to identify the block to be copied. Note that when you use tags with the COPY and DELETE commands, the tag must always be followed by a blank. With the FIND command, the tag must be followed by a blank only if the SCAN parameter of the SET command is set to "TAG". For additional information, see the table below as well as the SET command in the section UEDIT Commands later in this chapter.

### Strings

A string is similar to a tag in that it is also used to locate and position to a specific line. A string is different from a tag in the following two ways:

- A tag can occur anywhere between and including the columns specified as the beginning and ending columns by the ZONE parameter of the SET command.

- A tag does not need to be followed by a blank (except when the SCAN parameter of the SET command is set to "TAG", in which case it must be both preceded and followed by a blank).

Strings are used in conjunction with the CHANGE and SCAN commands.

### SET ZONE Command

For the CHANGE, COPY, DELETE, FIND, and SCAN commands, a scan operation is performed as part of the function. In other words, when you specify a tag(s) or string(s) as part of the command, UEDIT actually scans for the tag/string specified. And because a scan is being performed, the settings specified using the SET ZONE command are important.

For example, if the zone was set to "15 72", the scan operation performed as part of the CHANGE or SCAN function will only apply to columns 15 through 72. If the string you entered as part of one of these commands began in columns 1 through 14, the string would not be found and the function would not be performed.

For a scan operation using the same zone setting ("15 72") performed as part of the COPY, DELETE, or FIND command, the first character of the tag must be in column 15 in order to be located during the scan.

Note that the defaults for the SET ZONE command are "1 72".

### SET SCAN Command

The CHANGE, COPY, DELETE, FIND, and SCAN commands are not only affected by the SET ZONE command; they are also affected by the SET SCAN command. The two modes for SET SCAN are "ABS" and "TAG". The SET SCAN command is discussed in detail in the SET Command subsection in the section UEDIT Commands later in this chapter, and is summarized in the following table.

Command | Operand used | SET SCAN ABS | SET SCAN TAG
--- | --- | --- | ---
| Tag must be followed by a blank or String must be delimited by a blank if this scan mode is in effect:
CHANGE | String | no | yes
COPY | Tag | yes | yes
DELETE | Tag | yes | yes
FIND | Tag | no | yes
SCAN | String | no | yes

## Processing Priorities

The following processing priorities are in effect during an edit session:

1st priority: | A prefix command for a line
2nd priority: | Data entered for, or edited on, a line
3rd priority: | A PF Key command
4th priority: | A UEDIT command

Note that this processing priority hierarchy permits you to use PF Keys without losing any data entered since you last pressed ENTER. It also permits complex combinations of prefix commands, data entry/edit commands, and PF Keys or UEDIT commands.

Note, however, that PF Key commands take precedence over UEDIT commands. So if you issue a UEDIT command and a PF Key command at the same time, the PF Key command is executed and the UEDIT command is ignored.

## Prefix Commands

Prefix commands can be divided into two distinct categories:

- Immediate Prefix commands

- Block Prefix commands

To specify these commands, enter the escape character in column one of any data line and the prefix command starting in column two.

Note
If the data line contains information in columns three through five that could be interpreted as part of the command you are entering, you must enter a blank immediately following the prefix command.

In the tables in this section describing the types of prefix commands, the notation "< >" indicates that the arguments contained within are optional. Do not enter the "< >" symbols as part of the command input.

### Immediate Prefix Commands

An immediate prefix command is a single command that applies only to a single data line. The immediate prefix commands are described in the following table.

Command | Description
--- | ---
C<nh> | Copies the line on which you enter the C command. Note When using the C command, you must also identify the target line (the position where the line is to be copied) by using the A or B positioning command. See the section A/B Positioning Commands later in this chapter.
The arguments of the C command are:
n | Optional.
| Default: 1
| Specifies the number of times the line is to be copied.
h | Optional.
| Default: None
| Holds the line of text for later (repeated) insertion in the file.
D | Deletes the line on which you enter the D command. After you press ENTER, the cursor is positioned in column one of the previous line.
I<n> | Inserts blank line(s) immediately after the line on which you enter the I command. After you press ENTER, the cursor is positioned in column one of the first new line.
Note that the blank lines that you do not fill with text will remain, even when you press consecutive ENTERs. If you want the blank lines to be deleted when you press ENTER, use the W command instead.
The argument for the I command is:
n | Optional.
| Default: 1
| Specifies the number of blank lines to be inserted.
J | Joins the line in which you enter the J command with the following line. When you press ENTER, the cursor is positioned in column one of the resulting line.
JC<n> | Joins/overlays the line on which you enter the JC command with the following line, beginning at a particular position. When you press ENTER, the cursor will be positioned in column one of the resulting line.
The argument for the JC command is:
n | Optional.
| Default: The lines are joined beginning at the current cursor position.
| Specifies the column position at which the lines will be joined.
M | Moves the line on which you enter the M command. Note When using the M command, you must also identify the target line (the position where the line is to be moved) by using the A or B positioning command. See the section A/B Positioning Commands later in this chapter.
P<i> | Positions to a new current line (to the line on which you enter this command).
The argument for the P command is:
i | Optional.
| Default: None
| Specifies that the editor is to enter insert mode and the entire screen is to be made available for insertions, that is the line marked will become the current line with the rest of the screen lines empty.
R<n> | Repeats the line on which you enter the R command. When you press ENTER, the cursor is positioned in column one of the (first) new line created.
The argument for the R command is:
n | Optional.
| Default: 1
| Specifies the number of times the line is to be repeated.
S | Splits the line on which you enter the S command into two lines, with the second line to begin with the current cursor position. When you press ENTER, the cursor is positioned in column one of the second (new) line.
SC<n> | Splits the line on which you enter the SC command into two lines, with the second line to begin at a particular position. When you press ENTER, the cursor is positioned in column one of the second (new) line.
The argument for the SC command is:
n | Optional.
| Default: Line splitting will begin at the current cursor position.
Specifies the column position at which the second line is to begin.
W<n> | Creates a window of blank lines after the line on which you enter the W command. When you press ENTER, the cursor is positioned in column one of the first blank line. Note Each blank line you create using the W command that is still blank when you press ENTER is deleted by UEDIT. If you want the blank lines to remain when you press ENTER, use the I command instead.
The argument for the W command is:
n | Optional.
| Default: 1
Specifies the number of blank lines to be inserted.

#### Examples

Following are examples of immediate prefix commands and explanations of how they will affect the lines of data. Note that in these examples, the escape character is "%".

For examples of the immediate prefix commands that must be used in conjunction with an A or B positioning command (i.e., C and M), see the examples in the section A/B Positioning Commands.

    %D

Delete the single line where "%D" was entered.

    %I

Insert a single line below the line where "%I" was entered.

    %I5

Insert five blank lines below the line where "%I5" was entered.

    %J

Join the line where the "%J" was entered with the line immediately below it.

    %P

Make the line where the "%P" was entered become the new current line, i.e., move it to the top of the screen.

    %R

Repeat the line where "%R" was entered a single time immediately below the marked line.

    %R3

Repeat the line where "%R3" was entered three times immediately below the marked line.

    %S

Split the line into two lines. The second line will begin where the cursor was positioned when ENTER was pressed.

    %W5

Create a window of five blank lines immediately below where the "%W5" was entered. Any unused lines will be deleted when ENTER is pressed.

### Block Prefix Commands

Block Prefix commands consist of a series of commands and involve more than one line of text (a block of text). Note that you can enter the two or three different parts of a block prefix command (e.g., "#CC", "#CC", and "#A") anywhere within the member you are editing; that is, you do not need to enter them all on a single 23-line block of text shown on your screen. In addition, with those commands that require the use of an A/B positioning command (CC and MM), you can enter the two parts of the block prefix command (e.g., "#CC" and "#CC") either before or after you enter the A or B positioning command.

The block prefix commands are described in the following table.

Command | Description
--- | ---
CC<nh> | Copies the block identified by entering a CC command in both the first and last lines of the block.
Note: When using the CC command, you must also identify the target line (the position where the block is to be copied) by using the A or B positioning command. See the following section A/B Positioning Commands.
The arguments for the CC command are:
n | Optional.
Default: 1
Specifies the number of times the block is to be copied.
h | Optional.
Default: None
Specifies that the block of text is to be held for later (repeated) insertion in the file.
DD | Deletes the block of lines identified by entering a DD command in both the first and last lines of the block.
MM | Moves the block of lines identified by entering an MM command in both the first and last lines of the block. Note When using the MM command, you must also identify the target line (the position where the block is to be moved) by using the A or B positioning command. For additional information on the A and B commands, see the following section, A/B Positioning Commands.
RR<n> | Repeats the block of lines identified by entering an RR command in both the first and last line of the block.
The argument for the RR command is:
n | Optional.
| Default: 1
| Specifies the number of times the block is to be repeated.
XX | Excludes a block of text from the screen display by entering an XX command in both the first and last line of the block.
When you mark a block with XX's and press , a two-line message (telling you how many lines have been excluded) will replace the excluded text. This command is useful when you want to look at two parts of a member that are separated by many lines of text at the same time.
To cause the excluded lines to be redisplayed, enter "RESET XX" on the command line.

Note
You can cancel (reset) a partially submitted Prefix block command series by issuing the RESET command.

#### Examples

For examples of the block prefix commands, see the examples in the following section A/B Positioning Commands.

## A/B Positioning Commands

The A and B positioning commands are used in conjunction with the C, CC, M, and MM prefix commands. Note that you can enter the A or B positioning command either before or after you enter the prefix command.

The positioning commands are described in the following table.

Command | Description
--- | ---
A | Specifies the target location for a move or copy operation. The line(s) being moved/copied will be placed immediately after the line in which you enter the A command.
B | Specifies the target location for a move or copy operation. The line(s) being moved/copied will be placed immediately before the line in which you enter the B command.

### Examples

Following are examples of block prefix commands. The explanations describe where the commands were entered, the message displayed in the command/ message line following entry (plus pressing of ENTER) of each part of the command (shown in the far right column of the following examples), and the result. Note that in these examples, the escape character is "%".

1 |
    %C
| (entered on line 3, the line to be copied) |
    A/B
    %A
| (entered on line 6, the line after which line 3 is to be copied) |
| Line 3 is copied immediately below line 6.
2 |
    %CC2
| (entered on line 1, the first line to be copied) |
    A/B CC
    %CC
| (entered on line 8, the last line to be copied) |
    A/B
    %B
| (entered on line 20, the line before which the block of lines 1 through 8 is to be copied) |
| The block of text (lines 1 through 8) is copied twice, immediately above line 20.
3 |
    %D
| (entered on line 4, the first line to be deleted) |
    DD
    %DD
| (entered on line 62, the last line to be deleted) |
| The block of text (lines 4 through 62) is deleted.
4 |
    %M
| (entered on line 7, the line to be moved) |
    A/B
    %B
| (entered on line 9, before which line 7 is to be moved) |
| Line 7 is moved immediately preceding line 9.
5 |
    %A
| (entered on line 20, the line after which the block of lines 2 through 8 is to be moved) |
    C/M
    %MM
| (entered on line 2, the first line to be moved) |
    MM
    %MM
| (entered on line 8, the last line to be moved) |
| The block of text (lines 2 through 8) is moved immediately below line 20.
6 |
    %RR
| (entered on line 9, the first line to be repeated) |
    RR
    %RR4
| (entered on 12, the last line to be repeated) |
| The block of text (lines 9 through 12) is repeated four times immediately below line 12.
7 |
    %XX
| (entered on line 6, the first line to be excluded) |
    %XX
| (entered on line 55, the last line to be excluded) |
| Editor source lines 6 through 55 will be excluded from screen display. A message reminding you how many lines have been excluded will be displayed on lines 6 and 7.

## Scrolling Commands

To change the position of the current line (the top text line) in the member you are editing, use vertical positioning commands. These commands enable you to change your "view" of the member vertically.

Note that you must enter vertical positioning commands beginning in column one of the command/message line.

The vertical positioning commands are described in the following table.

Command | Description
--- | ---
+nnn | Positions "nnn" lines forward.
-nnn | Positions "nnn" lines backward.
/tag or /+tag | Positions forward to the line containing the "tag".
/-tag | Positions backward to the line containing the "tag" . Note Tag positioning is subject to the scan mode currently in effect (see the SET command in the section, UEDIT Commands, later in this chapter).
-- | Positions to the top line of the member.
TOP | Positions to the top line of the member.
++ | Positions to the bottom line of the member.
BOTTOM | Positions to the bottom line of the member.
+P | Positions one page forward.
-P | Positions one page backward.
+H | Positions a half-page forward.
-H | Positions a half-page backward.

Note that you can also specify a series of positioning commands (see the following examples).

### Examples

The following are examples of UEDIT vertical positioning commands and explanations of how your screen display will be affected.

    +P +1

Position forward one page plus one line.

    B -P +1

Position to the bottom of the member, then backward one page, then forward one line.

## User Profiles

The User Profile is a mechanism that enables you to predefine various parameters that are to be in effect during an edit session. UEDIT "executes" the commands specified in your User Profile before it starts the edit session.

Note
Before you use the User Profile feature, you must first allocate a User Profile library that is to contain User Profiles. A Profile library can be any source statement library defined with "$$" as the short name either by the UUTIL function UL or in the UEDTB1 table.

To establish your User Profile, invoke the "Create Profile" function on the Full Screen Editor menu. You can then define the specific parameter and PF Key settings for the session by using the SET command. Once you have entered all of the SET commands, use the SAVE command to save the User Profile.

You can edit/modify a User Profile that already exists by using the Edit Profile function.

The following figure contains examples of SET commands that can be used in a User Profile:

    SET ESCAPE %
    SET LIBID SX
    SET LOWER
    SET SCAN ABS
    SET STAY ON
    SET TABS 10 20
    SET VOLUME SAG004

For additional information and examples concerning the definition and subsequent modification of a User Profile, see the SET command in the section UEDIT Commands later in this chapter.

## PF Key Usage

The user can assign default PF key settings by creating the profile DEFAULT. The editor executes this profile whenever the user starts an edit session.

To change a PF Key definition, enter a new definition into the User Profile (see the SET command in the section UEDIT Commands, later in this chapter). Note that you can also issue the SET command during an edit session in order to change a PF Key setting.

To display the current definition of a given PF Key, use the UEDIT QUERY and GLOBALS commands. (See the section UEDIT Commands later in this chapter.)

## Edit Session Suspend Levels

If you are using UEDIT in conjunction with COM-PASS, you can suspend the current edit session by using either the PA1 (SUSPEND) key or the COM-PASS SUSPEND commands. (See the section COM-PASS Commands in the chapter COM-PASS - Parallel Transaction Utility.) You can then use the level number identifying the suspended edit session, shown on the screen generated by COM-PASS to identify the suspended edit file you want to be included in a subsequent edit session. (See the INCLUDE command in the section UEDIT Commands later in this chapter.)

## CommandFormat

This section describes the various UEDIT commands you can use during an edit session. Following the explanation of command syntax, a summary table of UEDIT commands is presented followed by a detailed explanation of each command.

In the following sections, the syntax elements listed below are used to indicate the command syntax of of UEDIT commands:

. (period) | Delimits strings; can be any character other than an "+", "-","=", or " " (blank). Note If HEX edit mode is in effect, the only string delimiter permitted is "X".
< > | Indicates that the entire operand is optional.
n | Is a user-specified numeric integer.
A|B|C | Indicates that one and only one of the operands (here, A,B, or C) separated by a vertical bar can be selected.

You can either specify a UEDIT command in its entirety or specify only enough characters to uniquely identify it. For example, B is sufficient for the BOTTOM command since no other command begins with B. Note that SA, SC, and SE are required for SAVE, SCAN, and SET, respectively, since more than one command begins with S. The minimum characters required for each command are indicated by an underscore in the following table and command format statements.

### Repeat a Command

To repeat a UEDIT command that you have just entered (after you have pressed ENTER), simply enter an "*" in the first position of the command/message line.

### Redisplay a Command

To redisplay the UEDIT command that you have just entered, enter a "?" in the first position of the command/message line.

## Command Overview

The following table summarizes the UEDIT commands.

Command | Function
--- | ---
BOTTOM | Positions to the bottom of the member.
CCHANGE | Sets up a conditional change operation.
CHANGE | Locates and changes a specified string of characters.
COPY | Copies one or more lines of text.
DELETE | Deletes one or more lines of text.
END | Leaves the current edit session.
FIND | Positions to a line containing a specified tag.
GLOBALS | Displays the current session parameters.
HELP | Invokes the online documentation facility.
HEX | Edits in hexadecimal mode.
INCLUDE | Includes text from another member.
LEAVE | Leaves (terminates) the edit session.
LEFT | Shifts the screen image to the left.
MOVE | Moves one or more lines of text.
NOTE | Sets a NOTE point.
POINT | Repositions to the NOTE point.
PRINT | Prints a hard copy of the member.
PROFILE | Executes the User Profile.
QUERY | Displays the status of a specific session parameter.
READ | Reads a new member into the edit work area.
RESET | Resets (cancels) a pending prefix block command.
RIGHT | Shifts the screen image to the right.
RSAVE | Saves the member and returns to the same location in the edit session.
SAVE | Saves the member and displays the Full Screen Editor menu.
SCAN | Positions to a line containing the specified character(s).
SET | Sets or modifies the session parameters.
STATUS | Displays the edit session data.
SUBMIT | Submits the member for execution in batch mode.
TOP | Positions to the top of the member.

## Command Description

### BOTTOM Command

The BOTTOM command enables you to position to the bottom of the member that you are editing.

The command format is:

    BOTTOM

### CCHANGE Command

The CCHANGE command enables you to set up a conditional change operation. This command identifies the string to be scanned (string1) and the string to be used to replace string 1 (string2). You can then use "SCAN =" and "CHANGE =" commands to locate and change a string, without needing to retype the string each time.

In contrast to the global CHANGE command (see the CHANGE command), CCHANGE allows you to view the string before the replacement is executed.

The command format is:

    CCHANGE     .string1.string2.

string1 | Required.
Default: None
Specifies the string of characters that is to be located when a "SCAN =" command is issued.
Note that the beginning and ending columns to be used for scan processing will be columns 1 and 72, respectively, unless these defaults have been changed using the SET ZONE command.
string2 | Required.
Default: None
Specifies the string of characters that is to replace string1 when a "CHANGE =" command is issued.
Note that any line truncation caused by replacement of the string will take place only if SET TRUNC ON is in effect.

Note that the number of characters in "string1" and "string2" need not be equal.

To avoid repetitive typing of the "SCAN =" and "CHANGE =" commands, you can set a PF Key for each command (see the SET command).

#### Example

The following is an example of the UEDIT CCHANGE command used in conjunction with the "CHANGE =" and "SCAN =" commands.

CCHANGE.OLD.NEW. | (Specifies that the first line that contains the first occurrence of the word "OLD" is to become the current line.)
CHANGE = | (Causes the word "OLD" that appears on the current line to be changed to "NEW".)
SCAN = | (Causes the line that contains the next occurrence of the word "OLD" to become the current line.)
CHANGE = | (Causes the word "OLD" that appears on the current line to be changed to "NEW".)
(etc.)

### CHANGE Command

The CHANGE command enables you to locate and change a specified string of characters. You may also control the direction of the scan used for the change operation.

The command format is:

    CHANGE <+/->.string1.string2. <n1> <n2> <n3>
           <+/->= <n1> <n2> <n3>

+/- | Optional.
| Default: Forward scanning will occur.
| Specifies the direction in which the scan operation is to go.
| The two options are:
+ | Indicates that the scan operation is to proceed forward.
- | Indicates that the scan operation is to proceed backward.
string1 | Required.
Default: None
Specifies the string of characters to be located by the change operation.
Note that the beginning and ending columns to be used for scan processing will be columns 1 and 72, respectively, unless these defaults have been changed by use of the SET ZONE command. Note If TAG scan mode is in effect, the strings specified is found only if the string is delimited by blanks. If ABS scan mode is effect, the string specified will be found even if the string is not delimited by blanks. To define or change the scan mode, use the SET SCAN command.
string2 | Required.
Default: None
Specifies the string of characters that is to replace the character string specified by string1 .
Note that any line truncation caused by replacement of string1 will take place only if SET TRUNC ON is in effect.
= | Optional.
Default: None
When specified simply as "CHANGE =" (following the entry of a CHANGE command that included a string operand), specifies that the next occurrence of the same string is to be located and changed.
Note that "=" may be used in conjunction with "+" or "-", as in "CHANGE +=" or "CHANGE -=", in order to reverse the direction of the scan operation.
n1 | Optional, except when either n2 or n3 is specified.
Default: 1
Specifies the number of lines to be scanned.
A value of "*" indicates that the scan operation is to proceed until either the bottom of the member (forward scan) or the top of the member (backward scan) has been reached.
n2 | Optional, except when n3 is specified.
Default: 1 (only the first occurrence on each line)
Specifies the number of occurrences of string1 that are to be changed to string2 on each line. A value of "*" indicates that every occurrence on each line is to be changed.
Note that if n2 is specified, then the "n1" operand must also be specified.
n3 | Optional.
Default: 1 (the first occurrence).
Specifies which occurrence of string1 on a given line the change operation is to begin with.
Note that if n3 is specified, then the n1 and n2 operands must also be specified. Notes: The number of characters in "string1" and "string2" need not be equal. If you do not specify "*" for n1, only the current line is scanned.

#### Examples

The following are examples of the UEDIT CHANGE command and explanations of how the text will be affected.

    CHANGE .1980.1987.

Change the first occurrence of the value "1980" on the current line to "1987".

    CHANGE .?.+.**

Change all occurrences of the character "?" to "+" in all lines including the current line.

    CHANGE -.XXX.YYY.*

Perform a backward scan of all lines starting from the current line, changing the first occurrence of the string "XXX" on each line to "YYY".

    CHANGE .AA.BB.* 2

Change the first two occurrences of the string "AA" on each line to "BB". If more than two occurrences of "AA" are on one line, only change the first two.

    CHANGE .AA.BB. 10 * 2

For the next 10 lines, change all occurrences of the string "AA" to "BB", except for the first occurrence on each line.

    CHANGE -=

Change the direction of the CHANGE function to operate in a backward direction. The change will occur for the strings specified in a previous CHANGE command.

### COPY Command

The COPY command enables you to copy one or more lines of text, placing the copied text immediately after the current line.

The command format is:

    COPY  tag1 <-tag2>

tag1 | Required.
Default: None
Is a string of characters used to locate the top line of the block of text that is to be copied.
Note that "tag1" must be followed by a blank and that the first character of the tag must be in the column defined as column one by the ZONE parameter of the SET command. The zone may be changed by using the SET ZONE command.
tag2 | Optional.
Default: Only one line of text will be copied.
Is a string of characters used to locate the bottom line of the block of text that is to be copied.
Note that tag2 must be followed by a blank and that the first character of the tag must be in the column defined as column 1 by the ZONE parameter of the SET command. The zone can be changed by using the SET ZONE command.

Note that you can also use the C and CC prefix commands to copy text. For additional information, see the section Prefix Commands earlier in this chapter.

#### Example

The following is an example of the UEDIT COPY command and an explanation of how the text will be affected.

    COPY BEGIN-END

Copy the text beginning with the line containing the "BEGIN" tag and ending with the line containing the "END" tag; place it immediately after the current line.

Note that the first character of both the "BEGIN" and "END" tags must be in the column defined as column 1 by the ZONE parameter of the SET command.

### DELETE Command

The DELETE command enables you to delete one or more lines of text.

The command format is:

    DELETE  tag1 <-tag2>

tag1 | Required.
Default: None
Is a string of characters used to locate the top line of the block of text that is to be copied.
Note that tag1 must be followed by a blank and that the first character of the tag must be in the column defined as column one by the ZONE parameter of the SET command. The zone can be changed by using the SET ZONE command.
tag2 | Optional.
Default: Only one line of text will be deleted.
Is used to locate the bottom line of the block of text that is to be copied.
Note that tag2 must be followed by a blank and that the first character of the tag must be in the column defined as column one by the ZONE parameter of the SET command. The zone can be changed by using the SET ZONE command.

Note that you can also use the prefix commands D and DD to delete text. For additional information, see the section Prefix Commands earlier in this chapter.

#### Example

The following is an example of the UEDIT DELETE command and an explanation of how the text will be affected.

    DELETE BEGIN-END

Delete the text beginning with the line containing the "BEGIN" tag and ending with the line containing the "END" tag.

Note that the first character of both the "BEGIN" and "END" tags must be in the column defined as column one by the ZONE parameter of the SET command.

### END Command

The END command enables you to terminate the current edit session. Note that the edit work file is not saved; however, it is not deleted either.

The command format is:

    END

Note that using the END command is equivalent to pressing CLEAR.

### FIND Command

The FIND command enables you to position to a particular line of text.
The command format is:

    FIND <+/-> tag1
         <+/-=

+/- | Optional.
Default: Forward scanning will occur.
Specifies the direction in which the scan operation is to go.
The two options are:
+ | Indicates that the find function is to operate forward.
- | Indicates that the find function is to operate backward.
tag1 | Required.
Default: None
Specifies the string of characters that is to be located by the find operation.
Note that in the line to be located, the first character of the tag must be in the column defined as column one by the ZONE parameter of the SET command. The zone can be changed by using the SET ZONE command. Note If TAG scan mode is in effect, the string specified will be found only if the string is delimited by blanks. If ABS scan mode is in effect, the string specified will be found even if the string is not delimited by blanks. To define or change the scan mode, use the SET command.
= | Optional.
Default: None
When specified simply as "FIND =" (following the entry of a FIND command that included a string operand), specifies that the next occurrence of the same string is to be located.
Note that "=" can be used in conjunction with "+" or "-", as in "FIND +=" or "FIND -=", in order to reverse the direction of the find operation.

#### Examples

The following are examples of the UEDIT FIND command and explanations of how the text will be affected.

    FIND ABCD

Make the first line that contains the tag "ABCD" the new current line.

    FIND =

(entered after the command in example 1)

Make the line containing the next occurrence of "ABCD" the current line.

    FIND -=

(entered after the command in example 1)

Locate the previous occurrence of "ABCD".

Note
In each of these examples, "ABCD" will only be found when the "A" is in the column defined as column 1 by the ZONE parameter of the SET command.

### GLOBALS Command

The GLOBALS command enables you to display all current session parameters on one screen and all current PF Key settings on another.

The command format is:

    GLOBALS

Note
You can not enter data on the screen generated as a result of the GLOBALS command. To edit current session parameters or PF Key settings, use the SET command.

To flip/flop between the two display screens, press ENTER.

To return to the edit session, use the CLEAR key.

### HELP Command

The HELP command enables you to invoke the Help facility. The Help facility pro-vides online documentation to assist you when you're entering UEDIT commands.

The command format is:

    HELP      <command>

command | Optional.
Default: The main HELP menu screen will be displayed by UEDIT.
Specifies a UEDIT command for which a HELP screen is to be displayed.

#### Examples

The following are examples and results of the UEDIT HELP command.

    HELP

Display the main Help menu screen.

    HELP CCHANGE

Display the Help screen for the CCHANGE command.

### HEX Command

The HEX command is only available on a 3270 model 2 terminal (80 x 24 lines). It enables you to specify that you wish to perform editing in hexadecimal mode.

The command format is:

    HEX

Note
The only string delimiter permitted in this mode is "X".

The hex command will cause each position in a line to be represented by corresponding characters occupying three lines on the screen. For example, the text line "THIS IS AN EXAMPLE 0123456789" would appear in following format:

    THIS IS AN EXAMPLE 0123456789
    ECCE4CE4CD4CECDDDC4FFFFFFFFFF
    38920920150571473500123456789

where the bottom two lines are the hex representation of the top (text) line.

To return to the normal edit mode, re-enter the HEX command.

### INCLUDE Command

The INCLUDE command enables you to include (copy) text from another location into the member you are currently editing, inserting it immediately below the current line.

The command format is:

    INCLUDE member                  <x> <y>
            lib(member)             <x> <y>
            dsn(member)/vol         <x> <y>
            LEVEL=n                 <x> <y>

member | Optional.
Default: None
Specifies the name of the member that is to be included. Note For z/VSE note the extensions for this argument as discussed in the Edit Direct Call subsection of the Starting An Edit Session section of this chapter.
lib | Optional.
Default: The value for lib is taken from the User Profile.
Specifies the name of the library containing the member to be included.
dsn | Optional.
Default: The value for dsn is taken from the User Profile.
Specifies the name of the file containing the member to be included.
vol | Optional.
Default: The value for vol is taken from the User Profile.
Specifies the number of the volume containing the file name to be included.
LEVEL=n | Optional.
Default: Specifies that a member for which editing was previously suspended is to be included.
Note that n indicates the level number of the suspended edit session containing the member to included. Note This feature is available only if you are using COM-PASS. See the earlier section Edit Session Suspend Levels for additional information.
x | Optional.
Default: 1 (the first record)
Specifies the first line to be copied from the included member.
y | Optional.
Default: All records.
Specifies the number of records to be included.

Note that if one or more of the operands lib, dsn, orvol are omitted, the values for these parameters are taken from the User Profile.

Note also that you can use the P prefix command immediately prior to an INCLUDE command in order to position to the line after which the data to be included is to be placed.

Notes:

1. If the member to be included has records longer than the record length of the Edit Work File, the INCLUDE command will truncate the included records on the right. Records with a length less than that of the Edit Work File will be padded on the right with blanks.
2. If the sum of the number of text lines in the member being edited plus the number of text lines in the member being included exceeds the Work File Size of the member being edited, the message "Not Enough Space in SD-File" will appear in the command/message line. For information on how to increase the default Work File Size, see the subsection Edit Option Settings in the section Starting an Edit Session earlier in this chapter.
3. If you enter the NOTE command using the same name that was issued for an earlier NOTE command, the previous definition is overwritten.
4. If you delete a record where a NOTE command was specified, the NOTE entry is also deleted.
5. You can specify as many as eight NOTES per member.

#### Examples

The following are examples of the UEDIT INCLUDE command and explanations of how the text will be affected.

    INCLUDE SUBROUT1

Include the member SUBROUT1, which is located in the library where you are currently editing.

    INCLUDE LB(OPEN)

Include the member OPEN, which is located in library LB.

    INCLUDE SAG.RJ.DSN011(CONV4)/SAG123

Include the member CONV4 contained in the data set SAG.RJ.DSN011, which is located on volume SAG123.

    INCLUDE LEVEL=2

Include the edit file suspended at Level 2.

    INCLUDE SUBROUT2 1 100

Include the first 100 records of member SUBROUT2.

    INCLUDE SUBROUT3 101 200

Include records 101 through 200 of member SUBROUT3.

### LEAVE Command

The LEAVE command enables you to terminate the current edit session without saving it. Note, however, that the edit session work file is not deleted either.

The command format is:

    LEAVE

Note
To recover the edit file you were processing when you issued the LEAVE command, use the UEDIT RECOVER function.

### LEFT Command

The LEFT command enables you to shift the screen image n columns to the left.

The command format is:

    LEFT n

### MOVE Command

The MOVE command enables you to move one or more lines of text, placing it immediately below the current line.

The command format is:

    MOVE tag1 <-tag2>

tag1 | Required.
Default: None
Indicates the beginning line of text to be moved or, if a block of text is being moved, indicates the top line of the block.
Note that tag1 must be followed by a blank and that the first character of the tag must be in the column defined as column one by the ZONE parameter of the SET command. The zone can be changed by using the SET ZONE command.
-tag2 | Optional.
Default: Only one line of text will be moved.
Indicates the last line of the text block to be moved.
Note that "tag2" must be followed by a blank and that the first character of the tag must be in the column defined as column one by the ZONE parameter of the SET command. The zone can be changed by the SET ZONE command.

Note that you can also use the M and MM prefix commands to move text. For additional information, see the section Prefix Commands earlier in this chapter.

#### Example

The following is an example of the UEDIT MOVE command and an explanation of how the text will be affected.

    MOVE BEGIN-END

Move the block of text beginning with the line containing the "BEGIN" tag and ending with the line containing the "END" tag and place it immediately after the current line.

Note that the first character of both the "BEGIN" and "END" tags must be in the column defined as column one by the ZONE parameter of the SET command.

### NOTE Command

The NOTE command enables you to assign a one- to eight-character alphanumeric name to the current line of a member. When used in conjunction with the POINT command, it allows you to rapidly page from one place in a member to another.

The NOTE command stores the current screen options (e.g., case, hex, and tab settings) as well as the SD file position.

The command format is:

    NOTE string

For positioning purposes, the name specified as string will mark the current line.

Notes:

1. If you enter the NOTE command using the same name that was issued for an earlier NOTE command, the previous definition is overwritten.
2. If you delete a record where a NOTE command was specified, the NOTE entry is also deleted.
3. You can specify as many as eight NOTES per member.

#### Example

For an example of the NOTE command, see the POINT command, which follows.

### POINT Command

The POINT command is used in conjunction with the NOTE command. It enables you to "point to" (i.e., find) the previously defined NOTE settings.

The command format is:

    POINT string

#### Example

The following is an example of how you could use the NOTE and POINT commands.

NOTE remember | (You mark the current line with the name "remember".)
(You page through the member, but then want to see the line you marked earlier.)
POINT remember | (The line marked "remember" is displayed as the current line.)

### PRINT Command

The PRINT command enables you to create a hard copy printout of the member you are currently editing.

The command format is:

    PRINT   <dest> <format>

dest | Optional.
Default: The terminal ID defined in Com-plete.
Specifies the Terminal ID or terminal name of the output device on which the member is to be printed.
format | Optional.
Default: FORMAT
Specifies the format in which the data is to be printed.
Valid operand values are:
FORMAT | The printout is to be formatted by the system.
CC | The user is to provide carriage control characters.
NOCC | The printout is to be spooled as is.

Note
The PRINT command neither truncates nor pads the output record. Any length adjustment is performed by the spooling subsystem.

#### Examples

The following are examples of the UEDIT PRINT command and explanations of how the text will be affected.

    PRINT 16

Print the member on the output device with a TID equal to 16.

    PRINT SYSTEMS CC

Print the member on the output device with the TID name SYSTEMS, using user-provided carriage control characters.

    PRINT 2 NOCC

Print the member on the output device with a TID equal to 2, spooling the output as is.

### PROFILE Command

The PROFILE command enables you to execute the specified User Profile stored in the User Profile library.

The command format is:

    PROFILE  n
             member
             lib(member)
             dsn(member)/vol

n | Optional.
Default: If no operands are specified, the user ID is used to identify the User Profile to be executed.
Provides a convenient means of user access to several different profiles.
The integer n can be appended to the Com-plete LOGON user ID for the user session to define the profile member to be executed. For example, if the user ID is equal to "ST" and a value of "7" is specified for "n", the Profile member "ST7" is executed.
Note that n must be numeric.
member | Optional.
Default: If no operands are specified, the user ID is used to identify the User Profile to be executed.
Specifies the name of the Profile member to be executed.
Note that the value specified cannot exceed eight characters.
lib | Optional; is used only if the User Profile to be executed is located in a source library.
Default: Specifies the name of the library containing the Profile to be executed.
dsn | Optional; is used only if the User Profile to be executed is located in a source library.
Default: If no operands are specified, the user ID is used to identify the User Profile to be executed.
Specifies the name of the file containing the Profile member to be executed.
vol | Optional.
Default: If no operands are specified, the user ID is used to identify the User Profile to be executed.
Specifies the number of the volume containing the file name to be used.

#### Examples

The following are examples of the UEDIT PROFILE command and explanations of how the text will be affected.

    PROFILE

Execute the Profile identified by the user's user ID.

    PROFILE 4

Execute the Profile identified by the user's user ID appended with value "4".

    PROFILE PROF1

Execute the Profile PROF1.

    PRO SP(ASM)

Execute the Profile ASM in library SP.

### QUERY Command

The QUERY command enables you to display the status of current session parameter settings.

The command format is:

    QUERY   operand

operand | Required.
Default: None; a valid operand must be specified.
Specifies the session parameter setting for which status is to be displayed. Valid operand values and their descriptions are:
BLANKS | Whether columns 73 through 80 are to be set to blanks.
CASE | Lower- or upper-case mode setting.
DSNAME | Data set name.
ESCAPE | Escape character.
LIBID | Library ID.
LISTCOL | The beginning and ending columns that are to be displayed.
MEMBER | Member name.
MTYPE | Member-type (z/VSE only).
NUMBER | Beginning sequence number and sequence number increment.
NULLS | Null line fill. (ON indicates that unused line positions will be filled with blanks.)
PFK n | Setting of PF Key "n".
SCAN | Whether scan mode is ABS or TAG.
SEQUENCE | Line sequence numbering. (ON indicates that line sequence numbering is in effect.)
STAY | Page skipping. (ON indicates that a page skip is to be performed when ENTER is pressed without any editing having been performed on the current screen.)
SUBL | Sublibrary (z/VSE only).
TITLE | Title line. (ON indicates that a title line is to be used.)
TRUNC | Line truncation. (ON indicates that line truncation is permitted during a change operation.)
VOLUME | Volume containing the member.
ZONE | Which beginning and ending columns are to be used during CHANGE, COPY, FIND, and SCAN processing.

For additional information on the QUERY command operands, see the SET command.

Note
The QUERY command only allows you to display the current session parameter settings. To modify the settings, use the SET command.

#### Examples

The following are examples of the UEDIT QUERY command and explanations of how the text will be affected.

    QUERY ESCAPE

Display the escape character currently in use.

    QUERY PFK 6

Display the current definition of PF Key 6.

### READ Command

The READ command enables you to read a new member into the edit session work area.

| Warning: Any data currently in the edit work area will be overlaid by contents of the member read as a result of using this command.

The command format is:

    READ     member
             lib(member)
             dsn(member)/vol

member | Optional.
Default: If no operands are specified, the member currently being edited is reread (refreshed).
Specifies the name of the member to be read.
| Warning: Use of this operand will cause the edit work area to be overlaid.
Note For z/VSE, note the extensions for this argument as discussed in the Edit Direct Call subsection of the Starting An Edit Session section, earlier in this chapter.
lib | Optional.
Default: If no operands are specified, the member currently being edited is reread (refreshed).
Specifies the name of the library containing the member to be read.
| Warning: Use of this operand will cause the edit work area to be overlaid.
dsn | Optional.
Default: If no operands are specified, the member currently being edited is reread (refreshed).
Specifies the name of the file containing the member to be read.
| Warning: Use of this operand will cause the edit work area to be overlaid.
vol | Optional.
Default: If no operands are specified, the member currently being edited is reread (refreshed).
Specifies the name of the volume containing the file to be read.
| Warning: Use of this operand will cause the edit work area to be overlaid.

#### Examples

The following are examples of the UEDIT READ command and explanations of how the text will be affected.

    READ STAT1

Read the member STAT1.

    READ LB(MATH6)

Read the member MATH6 in library LB.

    READ DSN001(MATH8)/VOL123

Read the member MATH8 contained in data set DSN001 on volume VOL123.

    READ VSE.SP2.LIB(SUB1.DATA,SOURCE)/VOL333

Under z/VSE, read the member DATA of type SOURCE contained in the sublib SUB1 of file VSE.SP2.LIB on volume VOL333.

### RESET Command

The RESET command enables you to reset (cancel) a pending edit prefix block command.

The command format is:

    RESET   <XX>

XX | Optional.
Default: An incomplete block command (that is, a "pending" condition) will be canceled.
Resets an outstanding exclude block.

### RIGHT Command

The RIGHT command enables you to shift the screen image n columns to the right.

The command format is:

    RIGHT   n

n | Required.
Default: None
Specifies the number of columns that the screen image is to be shifted to the right.

### RSAVE Command

The RSAVE command enables you to save the member you are currently editing without leaving the member, that is, you will remain in the same position in the edit session.

The command format is:

    RSAVE     member
    			           lib(member)
              dsn(member)/vol

member | Optional.
Default: If no operands are specified, the member is saved using the member name, library, data set, and volume, as taken from the current settings.
Specifies the name of the member to be saved. Note For z/VSE, note the extensions for this argument as discussed in the Edit Direct Call subsection of the Starting An Edit Session section, earlier in this chapter.
lib | Optional.
Default: If no operands are specified, the member is saved using the member name, library, data set, and volume, as taken from the current settings.
Specifies the name of the library where the member is to be saved.
dsn | Optional.
Default: If no operands are specified, the member is saved using the member name, library, data set, and volume, as taken from the current settings.
Specifies the name of the file where the member is to be saved.
vol | Optional.
Default: If no operands are specified, the member is saved using the member name, library, data set, and volume, as taken from the current settings.
Specifies the name of the volume containing the file where the member is to be saved.

Note
If you have changed any of the file description parameters (member, library, DSN, volume) during the current session, the Editor prompts you for confirmation of an RSAVE as shown in the following figure.

    COMEBP0006 - RSAVE Parameters Are:
           Member :
           Library :
           DSN :
           Volume :
           Hit Enter to Continue, Clear to Return
           Sublib:       (z/VSE only)
           Memb-type:    (z/VSE only)

Note
If truncation is allowed and the DSN has a a record length greater than that of the Edit Work File, use of the RSAVE command truncates records on the right. Records with length less than that of the target DSN are padded on the right with blanks.

#### Examples

The following are examples of the UEDIT RSAVE command and explanations of how the text will be affected.

    RSAVE

Save the member using the member name, library, file, and volume data from the current settings, and continue with the edit session (at the same position in the member) after the member has been saved.

    RSAVE REPORT5

Same as example 1, except save the member under the member name REPORT5.

    RSAVE LB(REPORT5)

Same as example 1, except save the member under the member name REPORT5 in library LB.

### SAVE Command

The SAVE command enables you to save the member you are currently editing and return to the Full Screen Editor menu.

The command format is:

    SAVE   member
           lib(member)
           dsn(member)/vol

member | Optional.
Default: If no operands are specified, the member is saved using the member name, library, file, and volume, as taken from the current settings.
Specifies the name of the member to be saved. Note For z/VSE, note the extensions for this argument as discussed in the Edit Direct Call subsection of the Starting An Edit Session section, earlier in this chapter.
lib | Optional.
Default: if no operands are specified, the member is saved using the member name, library, file, and volume, as taken from the current settings.
Specifies the name of the library where the member is to be saved.
dsn | Optional.
Default: if no operands are specified, the member is saved using the member name, library, file, and volume, as taken from the current settings.
Specifies the name of the file where the member is to be saved.
vol | Optional.
Default: if no operands are specified, the member is saved using the member name, library, file, and volume, as taken from the current settings.
Specifies the name of the volume containing the file where the member is to be saved.

Note
If you have changed any of the file description parameters (e.g., member, library, DSN, volume) during the current session, the Editor will prompt you for confirmation of a SAVE as shown in the following figure.

    COMEBP0006 - SAVE Parameters Are:
           Member :
           Library :
           DSN :
           Volume :
           HIT Enter to Continue, Clear to Return
           Sublib:       (z/VSE only)
           Memb-typ:     (z/VSE only)

Note
If truncation is allowed and the DSN has a record length greater than that of the Edit Work File, use of the SAVE command truncates records on the right. Records with length less than that of the target DSN are padded on the right with blanks.

#### Examples

The following are examples of the UEDIT SAVE command and explanations of how the text will be affected.

    SAVE

Save the member using member name, library, file, and volume data from the current settings, displaying the Full Screen Editor menu after the member has been saved.

    SAVE REPORT5

Same as example 1, except save the member under the member name REPORT5.

    SAVE LB(REPORT5)

Same as example 1, except save the member under the member name REPORT5 in library LB.

    SAVE VSE.SP2.LIB(SUB1.DATA,SOURCE)/VOL333

Under z/VSE, save the member DATA of type SOURCE contained in the sublib SUB1 of file VSE.SP2.LIB on volume VOL333.

### SCAN Command

The SCAN command enables you to locate a specific string of characters.

The command format is:

    SCAN   <+/->.string
           <+/->.string.*
           <+/->=

+/- | Optional.
Default: Forward scanning will occur.
Specifies the direction in which the scan operation is to go.
The two options are:
+ | Indicates that the scan function is to execute forward.
- | Indicates that the scan function is to execute backward.
string | Required.
Default: None
Specifies the string of characters to be located by the scan operation.
Note that the beginning and ending columns to be used for scan processing will be columns 1 and 72, respectively, unless these defaults have been changed by using the SET ZONE command. Note If TAG scan mode is in effect, the string specified will be found only if the string is delimited by blanks. If ABS scan mode is effect, the string specified will be found even if the string is not delimited by blanks. To define or change the scan mode, use the SET command.
= | Optional.
Default: None
When specified simply as "SCAN =" (following the entry of a SCAN command that included a string operand), specifies that the next occurrence of the same string is to be located.
Note that "=" can be used in conjunction with "+" or "-", as in "SCAN +=" or "SCAN -=", in order to reverse the direction of the scan operation.
* | Optional.
Default: None
Indicates that UEDIT is to return the number of occurrences of the specified string. Note When * is specified, no repositioning of the cursor is performed.

Note
The data values entered for the SCAN command will not be destroyed by use of the READ, INCLUDE, or PROFILE commands.

#### Examples

The following are examples of the UEDIT SCAN command and explanations of how the text will be affected.

    SCAN ABCD

Make the first line that contains the string "ABCD" the current line.

    SCAN =

(when used after the command in example 1)

Locate the next occurrence of "ABCD".

    SCAN -=

(when used after the command in example 2)

Locate the previous occurrence of "ABCD".

    SCAN 'ABCD'*

Return the number of occurrences of the string "ABCD".

### SET Command

The SET command enables you to set the edit session parameters. This command is primarily used for defining default session parameters stored in your User Profile; however, you can also use it to change session parameters during an edit session.

The command format is:

    SET BLANKS               ON OFF
        CURSOR               STAY HOME
        DSNAME               <name>
        ESCAPE               ON OFF char
        FILE                 lib(mem)/vol
        LIBID                <libid>
        LISTCOL              col1 col2
        LOWER
        MEMBER               name
        MTYPE                name                       (z/VSE only)
        NUMBER               n m
        NULLS                ON OFF
        PFK                  n command
        SCALE                ON OFF
        SCAN                 ABS TAG
        SEQUENCE             ON OFF col1 col2
        STAY                 ON OFF
        SUBL                 sublibrary                  (z/VSE only)
        TABS                 ASM FOR COB NONE PL1
                             t1 t2 t3 t4 t5 t6
        TITLE                ON OFF
        TRUNC                ON OFF n
        UPPER
        VOLUME               <volume>
        ZONE                 col1 col2

where the parameters are:

BLANKS | Optional.
Default: OFF
Determines whether columns 73 through 80 are to be filled with blanks immediately before a member is saved.
The operands are:
ON | Columns 73 through 80 are to be filled with blanks.
OFF | Columns 73 through 80 are not to be filled with blanks.
CURSOR | Optional.
Default: STAY
Determines the position of the cursor immediately after has been pressed.
The operands are:
STAY | The cursor remains on the same line.
HOME | The cursor is positioned to the top of the screen.
DSNAME | Optional.
Default: The current data set name is set to blanks.
Indicates that the current file name is to be changed to the name specified.
ESCAPE | Optional.
Default: #
Specifies the character to be used as the escape character. (The escape character is entered in column 1 of the editor screen and followed by a prefix command. For example, you could enter "#D" to delete a line, "#R" to repeat a line, or use "#CC"s to mark a block of text that you want to copy.)
The operands are:
ON | The default escape character (#) is to be used.
OFF | No escape character is to be used.
char | A user-specified escape character is to be used.
FILE | Optional.
Indicates that the current library, member, and volume names are to be changed to the library, member, and volume specified.
LIBID | Optional.
Default: The current library name is set to blanks.
Indicates that the current library ID is to be changed to the library name specified.
LISTCOL | Optional.
Default: 1-72
Specifies the columns to be displayed on the screen.
LOWER | Optional.
Indicates that both lower- and upper-case mode input are to be accepted. Note If LOWER is specified, the terminal used to input data must support both upper and lower-case.
MEMBER | Optional.
Indicates that the current member name is to be changed to the name specified.
MTYPE | Optional (z/VSE only).
Indicates that the current member-type is to be changed to the name specified.
NUMBER | Optional.
Default: 0100 0100 (i.e., start = 0100; increment = 0100)
Specifies the beginning sequence number (n) and the sequence increment (m) to be used to assign sequence numbers.
NULLS | Optional.
Default: ON
Determines whether or not unused portions of a line are to be filled with the null character (X'00').
The operands are:
ON | Unused positions are to be filled with a null character.
OFF | Unused positions are not to be filled with a null character.
PFK | Optional.
Assigns a UEDIT command to a PF Key.
The operands are:
n | The PF Key number (1 through 24)
command | The UEDIT command to be assigned to the PF Key Note If PFK n is specified with no command, the setting for the PF Key specified will be set to blanks.
SCALE | Optional
Default: ON
Determines whether a scale line (ON) or a blank line (OFF) is to be used as the separator line when the edit line size is set to be equal to the screen size.
SCAN | Optional.
Default: TAG
Determines whether a scan or find operation is to be performed in ABS or TAG mode. Note that a scan operation is performed by both the SCAN and CHANGE commands; a find operation is performed by the FIND command. Note In any scan operation, the string to be located must be between and/or include the beginning and ending columns defined using the SET ZONE command.
The operands for the scan operation (SCAN or CHANGE command) are defined as:
ABS | The string to be located will be found even if it is not delimited by blanks.
TAG | The string to be located will be found only if it is delimited by blanks.
Note In the find operation, in the line to be located, the first character of the tag must be in the column defined as column one using the SET ZONE command (the default is 1).
The operands for the find operation are defined as:
ABS | The tag to be located will be found even if it is not followed by a blank.
TAG | The tag to be located will be found only if it is followed by a blank.
For additional information on the SET SCAN command, see the section Full Screen Editing, earlier in this chapter.
SEQUENCE | Optional.
Default: 73-80
Determines the columns to be used for sequence numbering. Note Sequence numbers are inserted/updated only when a member is saved.
Valid options are:
ON | Columns 73 through 80 are to be used.
OFF | No sequencing is to be performed.
The operands are:
col1 | User-specified beginning sequence column.
col2 | User-specified ending sequence column.
STAY | Optional.
Default: ON
Determines whether the current line is to be positioned to the next page when ENTER is pressed without any editing having been performed on the current screen.
If STAY OFF has been set, the editor will scroll to the line on which the cursor has been placed.
Valid options are:
ON | No page skip is to be performed.
OFF | A page skip is to be performed.
SUBL | Optional (z/VSE only).
Indicates that the current sublibrary is to be changed to the name specified.
TABS | Optional.
Default: NONE
Defines the tab settings to be used during the edit session.
Valid options are:
ASM | Assembler language tab settings.
FOR | Fortran language tab settings.
COB | COBOL language tab settings.
NONE | Columns 1 through 72 with no tabs.
PL1 | PL/I language tab settings.
t1 through t6 | User-specified tab settings.
TITLE | Optional.
Default: ON
Determines whether the top line in the editor displays UEDIT information or a scale line.
Valid options are:
ON | Display a title line, e.g., "Lib=UU Mem=UUP1A Edit Abs Z=1-72 C=1-72", where:
Lib= | Specifies the two-character library ID defined either by ULIBID or in UEDTB1.
Mem= | Specifies the membername.
Edit | Specifies the scan mode in effect. The two options are Tag and Abs. (See the SCAN parameter of the SET command, earlier in this section.)
Z= | Specifies the work zone. (See the ZONE parameter of the SET command, later in this section.)
C= | Specifies the columns to be displayed on the screen. (See the LISTCOL parameter of the SET command, earlier in this section.)
OFF | Display a scale line, i.e., "....+....1....+....2....," etc.
TRUNC | Optional.
Default: ON
Determines whether a line may be truncated as a result of a change operation.
Valid options are:
ON | Line truncation is permitted.
OFF | No line truncation is permitted.
n | The Editor will split/join an edit line from column 1 up to and including column n-1 while leaving columns n through end-of-line untouched.
UPPER | Optional.
Indicates that upper-case input character mode is in effect.
VOLUME | Optional.
Default: The current volume setting will be set to blanks.
Indicates that the current volume number is to be changed to the specified volume number.
ZONE | Optional.
Defaults:
col1 | 1
col2 | 72
Defines a work zone for the CHANGE, COPY, DELETE, FIND, and SCAN commands.
The operands are:
col1 | Beginning column for CHANGE, COPY, DELETE, FIND, and SCAN command processing.
col2 | Ending column for CHANGE and SCAN command processing.

For additional information on the SET ZONE command, see the section Full Screen Editing, earlier in this chapter.

#### Examples

The following are examples of the UEDIT SET command and explanations of how the text will be affected.

    SET CURSOR STAY

When ENTER is pressed, the cursor is to remain positioned at the last line being edited/changed.

    SET ESCAPE %

Use the character "%" as the escape character.

    SET FILE GR(EDIT3)/SAG006

Use the library "GR", the member name "EDIT3", and the volume number "SAG006" as the current library ID, member name, and volume, respectively.

    SET LIBID GX

Use the library ID "GX" as the current library ID.

    SET LISTCOLS 10 70

Display columns 10 through 70 on the screen.

    SET LOWER

Accept lower- and upper-case mode character input.

    SET MEMBER EDITFILE

Use the member "EDITFILE" as the current member name.

    SET NULLS ON

Fill all unused positions of a line with the null character.

    SET NUMBER 100 50

Begin sequence numbering with "100" and use an increment of "50" when sequence numbers are assigned.

    SET PF 6 -3

Set PF Key 6 to cause the screen display to be positioned backward three lines.

    SET SCAN ABS

Set absolute scan mode in effect.

    SET SEQUENCE 78 80

Use columns 78 through 80 for sequence numbers.

    SET STAY OFF

Perform a page skip when ENTER is pressed without any editing having been performed on the current screen.

    SET TRUNC OFF

Do not permit line truncation during a change operation.

    SET VOLUME SAG004

Use the volume "SAG004" as the current volume serial number.

    SET ZONE 10 71

Use columns 10 through 71 only during CHANGE and SCAN command processing.

### STATUS Command

The STATUS command enables you to display statistics about the current Edit Work File.

The command format is:

    STATUS

In the command/message line, statistics such as those shown in the following figure will be displayed.

    Size Was: 341 Now: 341 Left: 1258 Current: 47

### SUBMIT Command

The SUBMIT command allows you to submit a member to an operating system internal reader for execution as a batch job.

The command format is:

    SUBMIT   S|N|R

If no operand is specified, S is the default.

S | Optional.
Specifies that the member is to be submitted for execution as a batch job as well as saved.
N | Optional.
Specifies that the member is to be submitted for execution as a batch job only, but not saved.
R | Optional.
Specifies that the member is to be submitted for execution as a batch job only (not saved) and you are then to be returned to the edit session.

### TOP Command

The TOP command enables you to position to the top of the member that you are editing.

The command format is:

    TOP

## Moving PDS Members to and from a Personal Computer (PC)

You must have ENTIRE CONNECTION installed on your personal computer in order to upload PC files to PDS members and download PDS members to PC files. Note that the upload/download utilities only work for 3270-type PCs.

Before attempting an upload or a download, you must first define a PC library using the UUTIL function UL as follows:

On the Library ID Table screen, enter a two character ID of "PC", a DSNAME (for example, MY.PC), and a library type of "M" for personal computer.

For a detailed explanation of the UL utility, see UUTIL - Menu-driven Utility Functions.

### Downloading a PDS Member to a PC File

To download a PDS member to a PC file, perform the following steps.

> Step 1

>   On the COM-PASS screen, enter the following command:

>       *UEDIT libname(membername

>   where:

>   libname | Specifies the name of the library where the member is located.
>   membername | Specifies the name of the member.

>   Note that this is the same command used to edit a member. The edit screen will be displayed, showing the first 23 lines of text of the member.

> Step 2

>   Enter the following command on the command/message line of the editor screen:

>       SAVE pc(membername

>   where:

>   pc | Specifies the PC library ID set up earlier.
>   membername | Specifies the name of the member.

>   When you press ENTER, the following screen is displayed.

>       COMEBP0006  - SAVE Parameters Are :-
>       Member  : TESTPDS
>       DSN     : MY.PC
>       Volume  :
>       Hit Enter To Continue, Clear To Return

> Step 3

>   Press ENTER, as prompted, to continue the procedure.

> Step 4

>   When you press ENTER, a prompt appears at the bottom of the screen asking you for the download information (as illustrated in the following figure). Enter the name of the download data file.

>       Enter name of DOWNLOAD DATA FILE ( 1)

> Step 5

>   Press ENTER, and the Full Screen Editor menu is displayed.

> Step 6

>   To exit the Full Screen Editor menu, press CLEAR.

### Uploading a PC File to a PDS Member

To upload a PC file to a PDS member, perform the following steps.

> Step 1

>   Either

>   - Create a member in an appropriate PDS data set (for example, one which corresponds to the logical record length you wish to upload).

>     On the UEDIT command line enter the following command:

>         INCLUDE pc(membername

>     Or

>   - On the COM-PASS screen, enter the following command:

>         *UEDIT pc(membername

>   where:

>   pc | Specifies the PC library ID set up earlier.
>   membername | Specifies the name of the member.

>   When you press ENTER, the "Enter name of UPLOAD DATA File ( 1):" prompt will be displayed at the bottom of the COM-PASS screen.

> Step 2

>   You can specify where the data to be uploaded is to be taken from, for example, a directory other than the ENTIRE CONNECTION (that is, \SAG, the default) directory or from a specific disk drive that is different from the PC's default drive specification.

>   Enter the name of the upload data file at the prompt, and press ENTER.

>   When the upload is completed, the UEDIT editor screen with the first 23 lines of the uploaded text will be displayed.

> Step 3

>   You must now save the uploaded member as a PDS member. If you created a member in Step 1 above, then the DSN and membername will still be set to the values you originally typed in, and you only have to enter SAVE on the command/message line of the editor. Otherwise you have enter the following command on the command/message line of the editor screen:

>       SAVE dsn(membername

>   If you wish, you can enter the same membername as the one you specified for the upload data file, as long as it is eight characters or less.

>   | Warning: You must change the name of the library. At this point, when the uploaded file is displayed in UEDIT, you are in library PC. Attempting to save in library PC will invoke the Download function, that is, the "Enter name of DOWNLOAD DATA File ( 1):" prompt will appear.

>   When you enter the "SAVE DSN(MEMBERNAME" command, a screen will be displayed that shows the SAVE parameters you typed in. A sample screen is illustrated in the following figure.

>       COMEBP0006  - SAVE Parameters Are :-
>       Member  : TESTPC
>       DSN     : MYLIB
>       Volume  :
>       Hit Enter To Continue, Clear To Return

> Step 4

>   If the parameters are as you want them, press ENTER.

>   You will be returned to the Full Screen Editor menu. A message will appear at the top of the screen confirming that the PDS member has been saved.

> Step 5

>   To exit the Full Screen Editor menu, press CLEAR.

### On this page

- Getting Started
- Starting an Edit Session
- Full Screen Editing
- Processing Priorities
- Prefix Commands
- A/B Positioning Commands
- Scrolling Commands
- User Profiles
- PF Key Usage
- Edit Session Suspend Levels
- CommandFormat
- Command Overview
- Command Description
- Moving PDS Members to and from a Personal Computer (PC)